# HDRnvert default configuration file
# format: parameter=value or parameter="stringvalue", no SPACES!

###############################################################################
#
# Input/output file parameters
#
###############################################################################
SourceFile=".\LifeUntouched_1_yuv44412le.yuv" 
OutputFile="\LifeUntouched_1_rgb444_frame%08d.tiff"     # converted YUV file

SourceWidth=3840         # input frame height
SourceHeight=2160        # input frame height
SourceRate=59.94          # input frame rate
SourceInterleaved=0      # Interleaved or Planar data 
SourceChromaFormat=3     # Input chroma format
                         # 0 : 400
                         # 1 : 420
                         # 2 : 422
                         # 3 : 444
SourceBitDepthCmp0=12    # Input bit depth of luma component 
SourceBitDepthCmp1=12    # Input bit depth of u/cb component 
SourceBitDepthCmp2=12    # Input bit depth of v/cr component 
SourceFourCCCode=-1       # FourCC code for input source
                         # 0: UYVY
                         # 1: YUY2
                         # 2: YUYV
		                 # 3: YVYU
                         # 4: BGR
                         # 5: RGB
                         # 6: V210
                         # 7: UYVY10
                         # 8: V410
                         # 9: R210
                         # 10: R10K
                         # 11: XYZ
SourceColorSpace=0       # 0: CM_YUV
                         # 1: CM_RGB 
                         # 2: CM_XYZ       

SourceColorPrimaries=3   # 0: BT.709
                         # 1: BT.2020
                         # 2: P3D60
                         # 3: P3D65
                         # 4: None
SourceSampleRange=1      # Sample Range:
                         # 0: Standard/Limited/Video
                         # 1: Full
                         # 2: Restricted
                         # 3: SDI Scaled
                         # 4: SDI
SourceTransferFunction=1 # Transfer Function
                         # 0: NULL (no new TF applied)
                         # 1: PQ
                         # 2: PH
                         # 3: Hybrid Gamma TF
                         # 4: Adaptive PQ
                         # 5: Adaptive PH
                         # 6: Power Law Gamma

OutputRate=59.94          # output frame rate
OutputChromaFormat=3     # Output Chroma format
                         # 0 : 400
                         # 1 : 420
                         # 2 : 422
                         # 3 : 444
OutputFourCCCode=5

OutputBitDepthCmp0=16   # bit depth of luma component for distortion computation
OutputBitDepthCmp1=16    # bit depth of u/cb component for distortion computation 
OutputBitDepthCmp2=16    # bit depth of v/cr component for distortion computation 
OutputColorSpace=1       # 0: CM_YUV
                         # 1: CM_RGB 
                         # 2: CM_XYZ

OutputColorPrimaries=3   # 0: BT.709
                         # 1: BT.2020
                         # 2: P3D60
                         # 3: P3D65
                         # 4: None
                         
OutputSampleRange=1      # Sample Range:
                         # 0: Standard/Limited/Video
                         # 1: Full
                         # 2: Restricted
                         # 3: SDI Scaled
                         # 4: SDI
OutputTransferFunction=1 # Transfer Function
                         # 0: NULL (no new TF applied)
                         # 1: PQ
                         # 2: PH
                         # 3: Hybrid Gamma TF
                         # 4: Adaptive PQ
                         # 5: Adaptive PH
                         # 6: Power Law Gamma

NumberOfFrames=450        # number of frames to process
InputFileHeader=0        # Input File header to be skipped (in bytes).
StartFrame=30             # Number of frames to skip before start
 
SilentMode=0             # Enable Silent mode 

#TransferFunction=1       # Transfer Function
                         # 0: NULL (no new TF applied)
                         # 1: PQ
                         # 2: PH
                     
USeSingleTransferStep=1  # Use a single step or two step process for the application of the PQ TF
TransformPrecision=0     # Use fixed (0) or high precision for color transform 
SourceNormalizationScale=10000.0 # Normalization scale
OutputNormalizationScale=10000.0 # Normalization scale
ChromaDownsampleFilter=2 # 444 to 420 conversion filters
                         # 0: Nearest Neighbor
                         # 1: Bilinear
                         # 2: H={1, 6, 1} and V={1, 1}
                         # 3: H={1, 2, 1} and V={1, 1}
ChromaUpsampleFilter=1   # 420 to 444 conversion filters
                         # 0 : Nearest Neighbor
                         # 1 : 4-tap in w14548
SetOutputSinglePrec=0    # Set OpenEXR output file precision 
                         # 0: HALF, 1: SINGLE

EnableTFunctionLUT=1         # Use LUTs for TF computations
EnableTFDerivLUT=1           # Use LUTs for TF derivative computation
ClosedLoopConversion=8

OutputChromaLocationTop=2
OutputChromaLocationBottom=2
SourceChromaLocationTop=2
SourceChromaLocationBottom=2


